#!/bin/sh

#HOST=/home/august/ew-host/host
#HOST=/usr/bin/host
#HOST=/usr/pd/bin/host

HOST=/usr/bin/host

TARGET=$1


# Check to see if it's host from BIND or Erik Wassenaar's host.

if [ `$HOST 2>&1 | grep "Extended usage" | wc -l` = 1 ]
then
	HOSTVER=EW
elif [ `$HOST 2>&1 | grep "enables TCP/IP mode" | wc -l` = 1 ]
then
	HOSTVER=BIND
else
	HOSTVER=unknown
fi

#echo "host variant is: $HOSTVER"



case $HOSTVER in

BIND)
	#while target contains a dot.
	while [ `echo $TARGET | cut -s -f1- -d.` ]
	do
		#echo $TARGET
		RESPONSE=`$HOST -t LOC $TARGET`

		if [ $? = 0 ] && [ -n "$RESPONSE" ]
		then
			NF=`echo $RESPONSE |egrep "not found|alias for" | wc -l`
			if [ $NF = 0 ]
			then
				echo $RESPONSE
				exit
			fi
		fi
		TARGET=`echo $TARGET  | cut -s -f2- -d.`
	done
	echo "Nothing"
	;;

EW)
	while [ `echo $TARGET | cut -s -f1- -d.` ]
	do
		STRING="$STRING $TARGET"

                TARGET=`echo $TARGET  | cut -s -f2- -d.`
	done
	#echo $STRING

        if test -z "$STRING" ;
        then
            STRING=$TARGET
        fi

	echo `$HOST -t LOC -x $STRING`
	;;
esac

